import { defineComponent } from 'vue';
import styles from './index.module.less';
import logoBottom from '@common/assets/logo-bottom.png';
import qrcode from '@common/assets/qr-code.png';

export default defineComponent({
  name: 'm-footer',
  setup() {
    return () => (
      <div class={styles.footer}>
        <img class={styles.bottomLogo} src={logoBottom} />

        <div class={styles.friendLink}>
          <div class={styles.link}>
            <p class={styles.linkTitle}>友情链接</p>
            <p class={styles.linkContent}>
              <a href="https://www.chnmusic.org/" target="_blank">
                中国音乐家协会
              </a>
              <br />
              <a
                href="https://www.cnorch.com/leaderInfo/list?leaderType=2"
                target="_blank">
                中国音协管乐学会低音铜管
              </a>
            </p>
          </div>
          <div class={styles.logoUrl}>
            <img src={qrcode} class="w100" />
            <p class={styles.qrText}></p>
          </div>
        </div>

        <div class={styles.copyright}>
          Copyright © 2022 武汉酷乐秀网络科技有限公司 <br />
          All Rights Reserved.鄂ICP备2021020787号-1
        </div>
      </div>
    );
  }
});
